

use $data/base_estimation_wage_avtaxrate, clear
keep if tag2==. & samename==0
keep if d==1
cap drop compteur
g compteur=1
g bias=(mtr-avtaxrate)/mtr
g off_=bias>.1

collapse mtr avtaxrate, by(countrymtr foreigner)
reshape wide mtr avtaxrate, i(countrymtr) j(foreigner)
so countrymtr
save $data/stat_desc, replace


use $data/base_estimation_wage_avtaxrate, clear
keep if tag2==. & samename==0
keep if d==1
cap drop compteur
g compteur=1
g withwage=1-treatment
collapse withwage (sum) compteur if year>1998 & (year~=2001 & year~=2002 & year~=2003), by(countrymtr)
merge countrymtr using $data/stat_desc
drop _merge
so countrymtr
save $data/stat_desc, replace


use $data/base_estimation_wage_avtaxrate, clear
keep if tag2==. & samename==0
keep if d==1
cap drop compteur
g compteur=1
g bias=(mtr-avtaxrate)/mtr
g off_=bias>.1
/* UK CPI to express wages in constant UK pounds */
g cpi=.
replace cpi=108.483 if year==2008
replace cpi= 104.7 if year==2007
replace cpi= 102.325 if year==2006
replace cpi= 99.9917 if year==2005
replace cpi= 97.9833 if year==2004
replace cpi= 96.6833 if year==2003
replace cpi= 95.3833 if year==2002
replace cpi= 94.2 if year==2001
replace cpi= 93.05 if year==2000
replace cpi= 92.325 if year==1999
replace cpi= 91.1083 if year==1998
replace cpi= 89.6833 if year==1997
replace cpi= 88.1167 if year==1996
su cpi if year==2008
replace wage=wage*52*cpi/(`r(mean)')
collapse foreigner top age exp wage playquality2 off_ (sum) compteur, by(countrymtr)
merge countrymtr using $data/stat_desc

drop _merge
order countrymtr compteur foreigner top age exp playquality2 wage withwage mtr0 mtr1 avtaxrate0 avtaxrate1
save $data/stat_desc, replace

collapse foreigner age top exp playquality2 wage withwage mtr0 mtr1 avtaxrate0 avtaxrate1 off_ (sum) compteur
append using $data/stat_desc, force
foreach var in foreigner top age exp wage playquality2 withwage mtr0 mtr1 avtaxrate0 avtaxrate1 off_{
replace `var'=round(`var'*100)/100
}
replace wage=round(wage)
replace age=round(age*10)/10
replace exp=round(exp*10)/10

drop top
g wage2=string(wage,"%12.0fc")
drop wage
rename wage2 wage
order countrymtr compteur foreigner age exp playquality2 wage withwage mtr0 mtr1 avtaxrate0 avtaxrate1 off_


g lastcol="\\"
outsheet using "$path/statdesc.txt", delimiter("&") noquote replace

erase $data/stat_desc.dta

