 
cap log close

log using "$path/table2.txt", replace text
log on

/* Dataset to store all the elasticities */
clear
input byte foreigner str5 elast1 str15 elast2 str15 elast3 str15 elast4 str15 elast5 str15 elast6 str15 elast7  
. "." "." "." "." "." "." "." 
end 
save  $path/elasticities_atr, replace

clear
input byte foreigner str5 elast1 str15 elast2 str15 elast3 str15 elast4 str15 elast5 str15 elast6 str15 elast7
. "." "." "." "." . "." "." "." "." "." "." "." 
end 
save  $path/elasticities_mtr, replace


cap program drop elasticities
program define elasticities
args  model var
preserve
quietly{
cap drop proba
predict proba, pr
su proba if foreigner==0 & year==2008
local sumd=`r(sum)'
su proba if foreigner==1 & year==2008
local sumf=`r(sum)'
local elast_domestic=0
local  elast_domestic_se=0
local elast_foreigner=0
local elast_foreigner_se=0
foreach country in Austria Belgium Denmark England France Germany Greece ///
 Italy Portugal Netherlands Norway Sweden Switzerland Spain {
quietly su proba [w=proba] if foreigner==0 & countrymtr=="`country'" & year==2008
local elast_d`country'=_b[`var']*(1-`r(mean)')
local elast_d_se`country'=_se[`var']*(1-`r(mean)')
quietly su proba if foreigner==0 & countrymtr=="`country'" & year==2008
local w_d`country'=`r(sum)' /`sumd'

local elast_domestic=`elast_domestic'+`w_d`country''*`elast_d`country''
local elast_domestic_se=`elast_domestic_se'+`w_d`country''*`elast_d_se`country''

quietly su proba [w=proba] if foreigner==1 & countrymtr=="`country'" & year==2008
local elast_f`country'=_b[`var']*(1-`r(mean)')
local elast_f_se`country'=_se[`var']*(1-`r(mean)')
quietly su proba if foreigner==1 & countrymtr=="`country'" & year==2008
local w_f`country'=`r(sum)'/`sumf'

local elast_foreigner=`elast_foreigner'+`w_f`country''*`elast_f`country''
local elast_foreigner_se=`elast_foreigner_se'+`w_f`country''*`elast_f_se`country''
}
}

display "epsilon_f= " `elast_foreigner' "  se = " `elast_foreigner_se'
display "epsilon_d= " `elast_domestic' "  se = " `elast_domestic_se'


if "`var'"=="netoftaxrate"{
use $path/elasticities_atr, clear
set obs 4
replace foreigner=0 if _n<3
replace elast`model'="`elast_domestic'" if _n==1
replace elast`model'="`elast_domestic_se'" if _n==2
replace foreigner=1 if _n>=3
replace elast`model'="`elast_foreigner'" if _n==3
replace elast`model'="`elast_foreigner_se'" if _n==4
save $path/elasticities_atr, replace
}
if "`var'"=="mtr2"{
use $path/elasticities_mtr, clear
set obs 4
replace foreigner=0 if _n<3
replace elast`model'="`elast_domestic'" if _n==1
replace elast`model'="`elast_domestic_se'" if _n==2
replace foreigner=1 if _n>=3
replace elast`model'="`elast_foreigner'" if _n==3
replace elast`model'="`elast_foreigner_se'" if _n==4
save $path/elasticities_mtr, replace
}
end


cap program drop elasticities_prebosman
program define elasticities_prebosman
args  model var
preserve
quietly{
cap drop proba
predict proba, pr
su proba if foreigner==0 & year==1995
local sumd=`r(sum)'
su proba if foreigner==1 & year==1995
local sumf=`r(sum)'
local elast_domestic=0
local  elast_domestic_se=0
local elast_foreigner=0
local elast_foreigner_se=0
foreach country in Austria Belgium Denmark England France Germany Greece ///
 Italy Portugal Netherlands Norway Sweden Switzerland Spain {
quietly su proba [w=proba] if foreigner==0 & countrymtr=="`country'" & year==1995
local elast_d`country'=_b[`var']*(1-`r(mean)')
local elast_d_se`country'=_se[`var']*(1-`r(mean)')
quietly su proba if foreigner==0 & countrymtr=="`country'" & year==1995
local w_d`country'=`r(sum)' /`sumd'

local elast_domestic=`elast_domestic'+`w_d`country''*`elast_d`country''
local elast_domestic_se=`elast_domestic_se'+`w_d`country''*`elast_d_se`country''

quietly su proba [w=proba] if foreigner==1 & countrymtr=="`country'" & year==1995
local elast_f`country'=_b[`var']*(1-`r(mean)')
local elast_f_se`country'=_se[`var']*(1-`r(mean)')
quietly su proba if foreigner==1 & countrymtr=="`country'" & year==1995
local w_f`country'=`r(sum)'/`sumf'

local elast_foreigner=`elast_foreigner'+`w_f`country''*`elast_f`country''
local elast_foreigner_se=`elast_foreigner_se'+`w_f`country''*`elast_f_se`country''
}
}

display "epsilon_f= " `elast_foreigner' "  se = " `elast_foreigner_se'
display "epsilon_d= " `elast_domestic' "  se = " `elast_domestic_se'

use $path/elasticities_mtr, clear
set obs 4
replace foreigner=0 if _n<3
replace elast`model'="`elast_domestic'" if _n==1
replace elast`model'="`elast_domestic_se'" if _n==2
replace foreigner=1 if _n>=3
replace elast`model'="`elast_foreigner'" if _n==3
replace elast`model'="`elast_foreigner_se'" if _n==4
save $path/elasticities_mtr, replace
end





use $data/base_estimation_wage_avtaxrate, clear
keep if tag2==. & samename==0
replace playquality4=3 if playquality4==4
save $data/base_table2, replace
 
/* Model 1: no country fixed effects */
use $data/base_table2, clear
xi: asclogit d netoftaxrate foreigner ///
if year<2009, alternatives(countrymtr) case(id2) cl(ident) noconstant iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin1
estat ic
local ell=e(ll)
elasticities 1 netoftaxrate

/* Model 1: no country fixed effects */
use $data/base_table2, clear
xi: asclogit d mtr2 foreigner ///
if year<2009, alternatives(countrymtr) case(id2) cl(ident) noconstant iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin1mtr
estat ic
local ell=e(ll)
elasticities 1 mtr2


/* Model 2:  country fixed effects */
use $data/base_table2, clear
xi: asclogit d netoftaxrate foreigner ///
if year<2009, alternatives(countrymtr) case(id2) casev(age age2 top i.playquality4) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin2
estat ic
local ell=e(ll)
elasticities 2 netoftaxrate

/* Model 2:  country fixed effects */
use $data/base_table2, clear
xi: asclogit d mtr2 foreigner ///
if year<2009, alternatives(countrymtr) case(id2) casev(age age2 top i.playquality4) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin2mtr
estat ic
local ell=e(ll)
elasticities 2 mtr2



/* Model 3:  country fixed effects interacted with year fixed effects */
use $data/base_table2, clear
xi: asclogit d netoftaxrate foreigner ///
if year<2009, alternatives(countrymtr) case(id2) casev(age age2 top i.playquality4 i.year) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin3
estat ic
local ell=e(ll)
elasticities 3 netoftaxrate

/* Model 3:  country fixed effects interacted with year fixed effects */
use $data/base_table2, clear
/* we use only two dummies for quality here, otherwise, variance-covariance matrix is singular, no s-e reported, 
but point estimates are extremely similar when adding more quality dummies */
replace playquality4=0 if playquality4==1
replace playquality4=3 if playquality4==2
xi: asclogit d mtr2 foreigner ///
if year<2009, alternatives(countrymtr) case(id2) casev(age age2 top i.playquality4 i.year) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin3mtr
estat ic
local ell=e(ll)
elasticities 3 mtr2

esttab multin1 multin2 multin3 using "$path/atr_table2.tex", ///
replace keep(netoftaxrate foreigner) se scalars(N r2)

esttab multin1mtr multin2mtr multin3mtr using "$path/mtr_table2.tex", ///
replace keep(mtr2 foreigner) se scalars(N r2)


/* Model 5:  Pre Bosman */
use $data/base_estimation_prebosman, clear
xi: asclogit d mtr2 foreigner ///
if year>1984, alternatives(countrymtr) case(id2) casev(age age2 top ) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin5mtr
est store multin5
estat ic
local ell=e(ll)

elasticities_prebosman 5 mtr2



/* Model 6:  Alternate quality index */

use $data/base_table2, clear
g playquality5=0 if qualityquant_bis<.25
replace playquality5=1 if qualityquant_bis>=.25
replace playquality5=2 if qualityquant_bis>=.5
replace playquality5=3 if qualityquant_bis>=.75

xi: asclogit d netoftaxrate foreigner ///
if year<2009, alternatives(countrymtr) case(id2) casev(age age2 top i.playquality5 i.year) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin6
estat ic
local ell=e(ll)
elasticities 6 netoftaxrate

xi: asclogit d mtr2 foreigner ///
if year<2009, alternatives(countrymtr) case(id2) casev(age age2 top i.playquality5 i.year) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin6mtr
estat ic
local ell=e(ll)
elasticities 6 mtr2


/* Model 7:  with controls for country year minus 1 */

use $data/base_table2, clear
g minus1f=minus1*foreigner
g minus1d=minus1*(1-foreigner)

xi: asclogit d netoftaxrate foreigner minus1f minus1d ///
if year<2009, alternatives(countrymtr) case(id2) casev(age age2 top i.playquality4 i.year) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin7
estat ic
local ell=e(ll)
elasticities 7 netoftaxrate


xi: asclogit d mtr2 foreigner minus1f minus1d ///
if year<2009, alternatives(countrymtr) case(id2) casev(age age2 top i.playquality4 i.year) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin7mtr
estat ic
local ell=e(ll)
elasticities 7 mtr2


esttab multin1 multin2 multin3 multin5 multin6 multin7 using "$path/atr_table2.tex", ///
replace keep(netoftaxrate foreigner) se scalars(N r2)

esttab multin1mtr multin2mtr multin3mtr multin5mtr multin6mtr multin7mtr using "$path/mtr_table2.tex", ///
replace keep(mtr2 foreigner) se scalars(N r2)


use $data/base_table2, clear
keep year playquality4 d netoftaxrate  foreigner countrymtr age age2 top ident id2
compress
replace playquality4=0 if playquality4==1
replace playquality4=3 if playquality4==2
xi i.year*i.playquality4                    
asclogit d netoftaxrate  foreigner ///
if year<2009, alternatives(countrymtr) case(id2) casev(age age2 _IyeaXpla*) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin4
estat ic
local ell=e(ll)
elasticities 4 netoftaxrate


use $data/base_table2, clear
keep year playquality4 d mtr2  foreigner countrymtr age age2 top ident id2
compress
replace playquality4=0 if playquality4==1
replace playquality4=3 if playquality4==2
xi i.year*i.playquality4                    
asclogit d mtr2  foreigner ///
if year<2009, alternatives(countrymtr) case(id2) casev(age age2 _IyeaXpla*) cl(ident) iterate(25) collinear difficult ltolerance(1e-4) tolerance(1e-3)
est store multin4mtr
estat ic
local ell=e(ll)
elasticities 4 mtr2

esttab multin1 multin2 multin3 multin4 multin6 multin7 multin5 using "$path/atr_table2.tex", ///
replace keep(netoftaxrate foreigner) se scalars(N r2)

esttab multin1mtr multin2mtr multin3mtr multin4mtr multin6mtr multin7mtr multin5mtr using "$path/mtr_table2.tex", ///
replace keep(mtr2 foreigner) se scalars(N r2)

erase $data/base_table2.dta

log off
log close








