
 


************************************************************************************************************************************************
************************************************************************************************************************************************
**** 										GRAPHS BOSMAN RULING		***
************************************************************************************************************************************************
************************************************************************************************************************************************


use $pathdata/baseplayerbosman.dta, clear
collapse mtrl reform if year>=1985 & year<2009 & nationality==country, by(nationality long_name last_name year)
collapse mtrl if year>=1985 & year<2009, by(nationality reform)
so nationality reform
save $pathdata/temp1, replace
use $pathdata/baseplayerbosman.dta, clear
collapse playhome reform if year>=1985 & year<2009, by(nationality long_name last_name year)
collapse playhome if year>=1985 & year<2009, by(nationality reform)
so nationality reform
merge nationality reform using $pathdata/temp1
drop _merge

g natlabel=substr(nationality, 1, 2)
replace natlabel="SE" if nationality=="Sweden"
replace natlabel="AT" if nationality=="Austria"
replace natlabel="BE" if nationality=="Belgium"
replace natlabel="DK" if nationality=="Denmark"
replace natlabel="UK" if nationality=="England"
replace natlabel="FR" if nationality=="France"
replace natlabel="DE" if nationality=="Germany"
replace natlabel="GR" if nationality=="Greece"
replace natlabel="IT" if nationality=="Italy"
replace natlabel="NL" if nationality=="Netherlands"
replace natlabel="NO" if nationality=="Norway"
replace natlabel="PT" if nationality=="Portugal"
replace natlabel="ES" if nationality=="Spain"
replace natlabel="CH" if nationality=="Switzerland"


	********************************************
*			 After the Bosman ruling
	********************************************

* With regression fit estimates on the graph	

g logplayhome=ln(playhome)
g lnnetoftax=ln(1-mtrl)
reg logplayhome lnnetoftax if reform==1
matrix define M=e(b)
local A=round(100*M[1,1])/100
local B=round(100*M[1,2])/100
local se=round(100*_se[lnnetoftax])/100

local beta_post_domestic_mtr=`A'
local se_post_domestic_mtr=`se'

twoway (scatter playhome mtrl if reform==1, mlabel(natlabel) mlabs(medlarge)) ///
(lfit playhome mtrl if reform==1, lc(red)), ///
ytitle("Fraction playing home", size(large))  ylabel(.7 (.15) 1, labs(medlarge)) xlabel(.5 (.15) .8, labs(medlarge)) legend(off) xtitle("Top earnings tax rate on domestic players", size(large)) ///
ttext(  .78 .585 "Elasticity= `A' (`se')", box size(large) just(left) fcolor(white) margin(medsmall)) graphregion(fcolor(white))
graph export "$pathgraph/Bosmanafter_eqn_aer.eps", replace

		********************************************
*			 Before the Bosman ruling
	********************************************


* With regression fit estimates on the graph	
reg logplayhome lnnetoftax if reform==0
matrix define M=e(b)
local A=round(100*M[1,1])/100
local B=round(100*M[1,2])/100
local se=round(_se[lnnetoftax]*100)/100

local beta_pre_domestic_mtr=`A'
local se_pre_domestic_mtr=`se'

twoway (scatter playhome mtrl if reform==0, mlabel(natlabel) mlabs(medlarge)) ///
(lfit playhome mtrl if reform==0, lc(red)), ///
ytitle("Fraction playing home", size(large))  ylabel(.7 (.15) 1, labs(medlarge)) xlabel(.5 (.15) .8, labs(medlarge)) legend(off) xtitle("Top earnings tax rate on domestic players", size(large)) ///
ttext(  .78 .585 "Elasticity=  `A' (`se')", box size(large) just(left) fcolor(white) margin(medsmall)) graphregion(fcolor(white))
graph export "$pathgraph/Bosmanbefore_eqn_aer.eps", replace

erase $pathdata/temp1.dta

							*********************
* 									II
*				graph % foreigners en fction de mtr on foreigners:

							**********************



use $pathdata/baseplayerbosman.dta, clear
g foreigner=(country!=nationality)
collapse foreign mtrf mtrl (sum) f_sum=foreigner if year>=1985 & year<2009, by(country reform)


g natlabel=substr(country, 1, 2)
replace natlabel="SE" if country=="Sweden"
replace natlabel="AT" if country=="Austria"
replace natlabel="BE" if country=="Belgium"
replace natlabel="DK" if country=="Denmark"
replace natlabel="UK" if country=="England"
replace natlabel="FR" if country=="France"
replace natlabel="DE" if country=="Germany"
replace natlabel="GR" if country=="Greece"
replace natlabel="IT" if country=="Italy"
replace natlabel="NL" if country=="Netherlands"
replace natlabel="NO" if country=="Norway"
replace natlabel="PT" if country=="Portugal"
replace natlabel="ES" if country=="Spain"
replace natlabel="CH" if country=="Switzerland"


	********************************************
*			 Before the Bosman ruling
	********************************************
g logf=ln(forei)
g lnnetoftax=ln(1-mtrf)
reg logf lnnetoftax if reform==0
*reg forei mtrf if reform==0
matrix define M=e(b)
local A=round(100*M[1,1])/100
local B=round(100*M[1,2])/100
local se=round(_se[lnnetoftax]*100)/100

local beta_pre_foreign_mtr=`A'
local se_pre_foreign_mtr=`se'

twoway (scatter forei mtrf if reform==0, mlabel(natlabel) mlabs(medlarge)) ///
(lfit forei mtrf if reform==0, lc(red)), ///
ytitle("Fraction of foreigners", size(large))  ylabel(0 (.15) .3, labs(medlarge)) xlabel(.4 (.2) .8, labs(medlarge)) legend(off) xtitle("Top earnings tax rate on foreign players", size(large)) ///
ttext(  .25 .69 "Elasticity=  .00 (`se')", box just(left) size(large) fcolor(white) margin(medsmall)) graphregion(fcolor(white))
graph export "$pathgraph/Bosmanbefore_foreigner_eqn_aer.eps", replace

	********************************************
*			 After the Bosman ruling
	********************************************

reg logf lnnetoftax if reform==1
*reg forei mtrf if reform==1
matrix define M=e(b)
local A=round(100*M[1,1])/100
local B=round(100*M[1,2])/100
local se=round(_se[lnnetoftax]*100)/100

local beta_post_foreign_mtr=`A'
local se_post_foreign_mtr=`se'

twoway (scatter forei mtrf if reform==1,  mlabel(natlabel) mlabs(medlarge)) ///
(lfit forei mtrf if reform==1, lc(red)), ///
ytitle("Fraction of foreigners", size(large))  ylabel(0 (.15) .3, labs(medlarge)) xlabel(.4 (.2) .8, labs(medlarge)) legend(off) xtitle("Top earnings tax rate on foreign players", size(large)) ///
ttext(  .25 .69 "Elasticity=  `A' (`se')", box just(left) size(large) fcolor(white) margin(medsmall)) graphregion(fcolor(white))
graph export "$pathgraph/Bosmanafter_foreigner_eqn_aer.eps", replace

so country reform
cap drop _merge


******************************************************************************************************
* 					Club performance
******************************************************************************************************


use $pathdata/bosman_perf.dta, clear

g natlabel=substr(country_iso, 1, 2)
replace natlabel="SE" if country_iso=="Sweden"
replace natlabel="AT" if country_iso=="Austria"
replace natlabel="BE" if country_iso=="Belgium"
replace natlabel="DK" if country_iso=="Denmark"
replace natlabel="UK" if country_iso=="England"
replace natlabel="FR" if country_iso=="France"
replace natlabel="DE" if country_iso=="Germany"
replace natlabel="GR" if country_iso=="Greece"
replace natlabel="IT" if country_iso=="Italy"
replace natlabel="NL" if country_iso=="Netherlands"
replace natlabel="NO" if country_iso=="Norway"
replace natlabel="PT" if country_iso=="Portugal"
replace natlabel="ES" if country_iso=="Spain"
replace natlabel="CH" if country_iso=="Switzerland"

g logpts=log(country_sumtotpts)
g logmtr=log(1-mtr_weighted)

*reg country_sumtotpts mtr_weighted if pre_bosman==1
reg logpts logmtr if pre_bosman==1
matrix define M=e(b)
local A=round(100*M[1,1])/100
local B=round(100*M[1,2])/100
local se=round(_se[logmtr]*100)/100

twoway (scatter country_sumtotpts mtr_weighted  if pre_bosman==1, mlabel(natlabel) mlabs(medlarge))  (lfit country_sumtotpts mtr_weighted if pre_bosman==1, lcolor(red)), ///
ytitle( "Points  in European competitions", size(large)) xlabel(0.5 (.15) .8, labs(medlarge)) ylabel(0(50)100, labs(medlarge)) xtitle( "Top earnings tax rate", size(large)) legend(off)   graphregion(fcolor(white)) ///
ttext(  90 .725 "Elasticity=  `A' (`se')", box just(left) size(large) fcolor(white) margin(medsmall))
graph export "$pathgraph/fig5_pre_aer.eps", replace


*reg country_sumtotpts mtr_weighted if pre_bosman==0
reg logpts logmtr if pre_bosman==0
matrix define M=e(b)
local A=round(100*M[1,1])/100
local B=round(100*M[1,2])/100
local se=round(_se[logmtr]*100)/100

twoway (scatter country_sumtotpts mtr_weighted  if pre_bosman==0, mlabel(natlabel) mlabs(medlarge)) (lfit country_sumtotpts mtr_weighted if pre_bosman==0,  lcolor(red)), ///
ytitle( "Points  in European competitions", size(large)) xlabel(0.5 (.15) .8, labs(medlarge)) ylabel(0(50)100, labs(medlarge)) xtitle( "Top earnings tax rate", size(large)) legend(off)   graphregion(fcolor(white)) ///
ttext(   90 .725 "Elasticity=  `A' (`se')", box just(left) size(large) fcolor(white) margin(medsmall))
graph export "$pathgraph/fig5_post_aer.eps", replace


/* ********************************************************************************************************

Average tax rates estimates

*************************************************************************************************************/

use Data_&_Prog_AER/data/data_estimation/base_estimation_wage_avtaxrate, clear
cap drop reform
g reform=year>1995
collapse (mean)  avtaxrate if foreigner==1 & year>=1985 & year<2009, by(reform countrymtr)
rename avtaxrate favtaxrate
rename countrymtr country
so reform country
save $pathdata/temp_avtaxrate, replace

use Data_&_Prog_AER/data/data_estimation/base_estimation_wage_avtaxrate, clear
cap drop reform
g reform=year>1995
collapse (mean)  avtaxrate if foreigner==0 & year>=1985 & year<2009, by(reform countrymtr)
rename avtaxrate davtaxrate
rename countrymtr country
so reform country
merge reform country using $pathdata/temp_avtaxrate
so reform country
cap drop _merge
save $pathdata/temp_avtaxrate, replace


use $pathdata/baseplayerbosman.dta, clear
collapse playhome mtrf mtrl reform if year>=1985 & year<2009, by(nationality long_name last_name year)
collapse playhome mtrf mtrl if year>=1985 & year<2009, by(nationality reform)
rename nationality country
so reform country
save $pathdata/temp_bosman, replace

use $pathdata/baseplayerbosman.dta, clear
g foreigner=(country!=nationality)
collapse foreign mtrf mtrl (sum) f_sum=foreigner if year>=1985 & year<2009, by(country reform)
so reform country
merge reform country using $pathdata/temp_bosman
drop _merge
so reform country

merge reform country using $pathdata/temp_avtaxrate
ta _merge
drop if _merge!=3

g log_avnetoftax_l=log(1-davtax)
g log_avnetoftax_f=log(1-favtax)

g logfor=log(foreigner)
g logdom=log(playhome)

reg logfor log_avnetoftax_f if reform==1
local beta_post_foreign_atr=round(100*_b[log_avnetoftax_f])/100
local se_post_foreign_atr=round(100*_se[log_avnetoftax_f])/100

reg logdom log_avnetoftax_l if reform==1
local beta_post_domestic_atr=round(100*_b[log_avnetoftax_l])/100
local se_post_domestic_atr=round(100*_se[log_avnetoftax_l])/100


erase $pathdata/temp_avtaxrate.dta
erase $pathdata/temp_bosman.dta





/* ********************************************************************************************************

Storing estimates for Table 1 in the paper

*************************************************************************************************************/


clear
input  str10 type str10 period str10 elast byte elasticity byte se  
"foreign" "pre" "mtr" . .    
"foreign" "post" "mtr" . .    
"foreign" "post" "atr" . .     
"domestic" "pre" "mtr" . .    
"domestic" "post" "mtr" . .    
"domestic" "post" "atr" . .
end 
save  $pathgraph/table1_bosman.dta, replace


foreach type in foreign domestic {
foreach period in pre {
foreach elast in mtr{
replace elasticity=`beta_`period'_`type'_`elast'' if type =="`type'" & period =="`period'" & elast=="`elast'"
replace se=`se_`period'_`type'_`elast'' if type =="`type'" & period =="`period'" & elast=="`elast'"
}
}
}

foreach type in foreign domestic {
foreach period in post {
foreach elast in mtr atr{
replace elasticity=`beta_`period'_`type'_`elast'' if type =="`type'" & period =="`period'" & elast=="`elast'"
replace se=`se_`period'_`type'_`elast'' if type =="`type'" & period =="`period'" & elast=="`elast'"
}
}
}

save  $pathgraph/table1_bosman.dta, replace




