
/* Prog creating the graph using the payroll tax reform in Greece */
* The data used contains info on the year of enrollment into the Greek social security system:
* the dataset records the fraction of players playing abroad by cohort of entry into the professional league of their home country 
* (cohorts are aggregated by 2 years) in Greece, and in all other countries


use $pathdata/data_greece, clear

lab def year2 1981 "1981-82"
lab def year2 1983 "1983-84", add
lab def year2 1985 "1985-86", add
lab def year2 1987 "1987-88", add
lab def year2 1989 "1989-90", add
lab def year2 1991 "1991-92", add
lab def year2 1993 "1993-94", add
lab def year2 1995 "1995-96", add
lab def year2 1997 "1997-98", add
lab def year2 1999 "1999-00", add
label values year2 year2

g period=(year>1992)
g DD=treatment*period

reg playabr treatment period DD if year2>=1980 & year2<=2000
local A=round(1000*_b[DD]/(ln(1-.6)-ln(1-.495))*(-1))/1000
local B=round(1000*_se[DD]/(ln(1-.6)-ln(1-.495))*(-1))/1000
*change in tax rate: 49.5% for cohorts before 93 and 60% for cohorts after 93

twoway (connected playabr year2 if year2>=1981 & year2 <=2000 & treat==1, xline(1992)) ///
(connected playabr year2 if year2>=1981 &  year2 <= 2000 & treat==0 , lcolor(red) mcolor(red) lpattern(dash)), ///
ttext( .3 1987 "DD elasticity=  `A' (`B')", box size(medlarge) just(left) fcolor(white) margin(medsmall)) graphregion(fcolor(white))  ///
ytitle("Fraction ever playing abroad", size(medlarge)) xlabel(1981(2)1999, val angle(45)) ylabel(0(.1) .4, labs(medlarge)) legend(label(1 "Greek") label(2 "All other nationalities")) xtitle("Year of entry in professional football", size(medlarge)) graphregion(fcolor(white))
graph export "$pathgraph/Greece2_aer.eps", replace
